Bug 522084 (CVE-2009-3231) - CVE-2009-3231 postgresql: LDAP authentication bypass when anonymous LDAP bind are allowed
Summary: CVE-2009-3231 postgresql: LDAP authentication bypass when anonymous LDAP bind...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-3231
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 522221
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 13:03 UTC by Tomas Hoger
Modified: 2019-09-29 12:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-29 10:02:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1461 normal SHIPPED_LIVE Important: Red Hat Application Stack v2.4 security and enhancement update 2009-09-23 21:38:40 UTC

Description Tomas Hoger 2009-09-09 13:03:29 UTC
Quoting upstream PostgreSQL security page:
  http://www.postgresql.org/support/security.html

  If PostgreSQL is configured with LDAP authentication, and your LDAP
  configuration allows anonymous binds, it is possible for a user to
  authenticate themselves with an empty password.

Affected versions: 8.3, 8.2

Fixed in versions: 8.3.8, 8.2.14

Severity: A - A vulnerability that is exploitable for privilege escalation without requiring a prior login.

Comment 1 Fedora Update System 2009-09-09 18:14:48 UTC
postgresql-8.3.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/postgresql-8.3.8-1.fc11

Comment 2 Fedora Update System 2009-09-09 18:15:03 UTC
postgresql-8.3.8-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/postgresql-8.3.8-1.fc10

Comment 4 Fedora Update System 2009-09-11 23:20:55 UTC
postgresql-8.3.8-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2009-09-11 23:21:31 UTC
postgresql-8.3.8-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Tomas Hoger 2009-09-17 06:55:11 UTC
LDAP authentication support is not available in PostgreSQL packages in Red Hat Enterprise Linux 3, 4 and 5, and Red Hat Application Stack v1.  PostgreSQL packages shipped in those products are not affected by this flaw.

Comment 8 errata-xmlrpc 2009-09-23 21:38:46 UTC
This issue has been addressed in following products:

  Red Hat Web Application Stack for RHEL 5

Via RHSA-2009:1461 https://rhn.redhat.com/errata/RHSA-2009-1461.html


Note You need to log in before you can comment on or make changes to this bug.